# This data file drives the specs in
# spec/frontend/fixtures/api_markdown.rb and
# spec/frontend/content_editor/extensions/markdown_processing_spec.js
---
- name: bold
  markdown: '**bold**'
- name: emphasis
  markdown: '_emphasized text_'
- name: inline_code
  markdown: '`code`'
- name: strike
  markdown: '~~del~~'
- name: horizontal_rule
  markdown: '---'
- name: link
  markdown: '[GitLab](https://gitlab.com)'
- name: attachment_link
  context: project_wiki
  markdown: '[test-file](test-file.zip)'
- name: attachment_link
  context: project
  markdown: '[test-file](/uploads/aa45a38ec2cfe97433281b10bbff042c/test-file.zip)'
- name: attachment_link
  context: group
  markdown: '[test-file](/uploads/aa45a38ec2cfe97433281b10bbff042c/test-file.zip)'
- name: attachment_image
  context: project_wiki
  markdown: '![test-file](test-file.png)'
- name: attachment_image
  context: project
  markdown: '![test-file](/uploads/aa45a38ec2cfe97433281b10bbff042c/test-file.png)'
- name: attachment_image
  context: group
  markdown: '![test-file](/uploads/aa45a38ec2cfe97433281b10bbff042c/test-file.png)'
- name: code_block
  markdown: |-
    ```javascript
      console.log('hello world')
    ```
- name: headings
  markdown: |-
    # Heading 1

    ## Heading 2

    ### Heading 3

    #### Heading 4

    ##### Heading 5

    ###### Heading 6
- name: blockquote
  markdown: |-
    > This is a blockquote
    >
    > This is another one
- name: thematic_break
  markdown: |-
    ---
- name: bullet_list
  markdown: |-
    * list item 1
    * list item 2
      * embedded list item 3
- name: ordered_list
  markdown: |-
    1. list item 1
    2. list item 2
    3. list item 3
- name: image
  markdown: '![alt text](https://gitlab.com/logo.png)'
- name: hard_break
  markdown: |-
    This is a line after a\
    hard break
- name: table
  markdown: |-
    | header | header |
    |--------|--------|
    | cell | cell |
    | cell | cell |
- name: table_with_alignment
  markdown: |-
    | header | : header : | header : |
    |--------|------------|----------|
    | cell | cell | cell |
    | cell | cell | cell |
- name: emoji
  markdown: ':sparkles: :heart: :100:'
